Aztec battle by Zeino (tryxn on rvz)
simple map that i tested making custom animations and simple shading on

textures - opengameart
skybox - toys in the hood ex by xarc
the song - Radioactive Sandwich & Globular – album: Sorbet For The Soul song: lemon - Licensed under the Creative Commons for noncommercial usage

3.1.2021 - added triggers